import java.io.*;
import java.net.*;
import java.util.*;

class Prueba
{
	public static void main(String argv[]) throws Exception
 	{
		String sentence;
		String delimiters = "+-/*";
		BufferedReader inFromUser = new BufferedReader(new InputStreamReader(System.in));
 		sentence = inFromUser.readLine();
		StringTokenizer st = new StringTokenizer(sentence, delimiters, true);
		while (st.hasMoreTokens())
		{
         System.out.println(st.nextToken());
      }
	}
}
